content/operate/rs/references/rest-api/requests/debuginfo/node/bdb.md
{{<banner-article>}}
This REST API path is deprecated as of Redis Software version 7.4.2. Use the new path [/v1/bdbs/debuginfo]({{< relref "/operate/rs/references/rest-api/requests/bdbs/debuginfo" >}}) instead.
{{</banner-article>}}
| Method | Path | Description |
|---|---|---|
| GET | /v1/debuginfo/node/bdb/{bdb_uid} | Get debug info for the current node regarding a specific database |
GET /v1/debuginfo/node/bdb/{int: bdb_uid}
Downloads a tar file that contains debug info for the specified database (bdb_uid) from the current node.
| Permission name |
|---|
| [view_debugging_info]({{< relref "/operate/rs/references/rest-api/permissions#view_debugging_info" >}}) |
GET /v1/debuginfo/node/bdb/1
Downloads the debug info in a tar file called filename.tar.gz. Extract the files from the tar file to access the debug info.
| Key | Value | Description |
|---|---|---|
| Content-Type | application/x-gzip | Media type of request/response body |
| Content-Length | 653350 | Length of the response body in octets |
| Content-Disposition | attachment; filename=debuginfo.tar.gz | Display response in browser |
| Code | Description |
|---|---|
| 200 OK | Success. |
| 500 Internal Server Error | Failed to get debug info. |